﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace RadGanttViewSample
{
	public class GregorianToArabianDateTimeConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			DateTime date = (DateTime)value;

			if (date != null)
			{
				DateTimeFormatInfo formatInfo = new CultureInfo("ar-SA", false).DateTimeFormat;

				return date.Date.ToString("f", formatInfo);
			}

			return DateTime.MinValue;
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
